How can we improve Application Insights?

Don't allow Microsoft.ApplicationInsights.NLogTarget to be installed on .NET 4.0

`Microsoft.ApplicationInsights.NLogTarget` requires `Microsoft.ApplicationInsights`, but when I add the NuGet package `Microsoft.ApplicationInsights.NLogTarget` on a project that targets .NET 4.0, it installs fine, but doesn't install `Microsoft.ApplicationInsights`. Trying to manually add `Microsoft.ApplicationInsights` results in an error since it requires .NET 4.5. I think `Microsoft.ApplicationInsights.NLogTarget` needs to block installation on .NET 4.0 unless there is something I'm totally missing.

Also, if there is a better place to file bugs, please advise.

1 vote
Sign in
(thinking…)
Password icon
Signed in as (Sign out)

We’ll send you updates on this idea

Dan Friedman shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

0 comments

Sign in
(thinking…)
Password icon
Signed in as (Sign out)
Submitting...

Feedback and Knowledge Base